import { MotionValuesMap } from "./use-motion-values";
import { PoseResolver, PoseTransition, Poses, PoseDefinition } from "../../types";
export declare class AnimationControls<P = {}> {
    private props;
    private values;
    private poses;
    private children;
    private isAnimating;
    constructor(values: MotionValuesMap);
    setProps(props: P): void;
    setPoses(poses: Poses): void;
    start(definition: string | string[] | PoseDefinition | PoseResolver, transition?: PoseTransition): Promise<any>;
    set(poseKeyList: string[]): void;
    private animate;
    private animateMultiplePoses;
    private animatePose;
    private animateChildren;
    private resetIsAnimating;
    stop(): void;
    addChild(controls: AnimationControls): void;
    removeChild(controls: AnimationControls): void;
    resetChildren(): void;
}
export declare const useAnimationControls: <P>(values: MotionValuesMap, inherit: boolean, props: P) => AnimationControls<P>;
